/* Reset all */

* {
  margin: 0;
  padding: 0;
}

/* Reset everything to border-box */
/* smooth scrolling */
/* FOUT Fix - Styles to add opacity and visibility on load */

html {
  box-sizing: border-box;
  opacity: 1;
  scroll-behavior: smooth;
  visibility: visible
}

* {
  box-sizing: inherit;

  &::before,
  &::after {
    box-sizing: inherit;
  }
}

/* No Horizontal Scrolling */

html,
body {
  max-width: 100%;
  overflow-x: hidden;
}

/* Vanity styles */

::selection {
  background: var(--selection__background-color, var(--color--blue));
  color: var(--selection__color, var(--color--white));
}

/* Base list styles */

ul,
ol {
  margin: 0;
  padding: 0;

  > li {
    list-style: none;
  }
}

/* Base embed styles */

object,
embed {
  height: 100%;
}

/* Base image styles */

img {
  display: block;
  height: auto;
  -ms-interpolation-mode: bicubic;
  max-width: 100%;
}

/* Base button styles */

button {
  background-color: transparent;
  border: 0;
}

/* Layout Container */

body {
  background-color: var(--color--wide-bg);
}

.layout-container {
  margin: auto;
  max-width: var(--content-max-width);
  position: relative;
}
